summary refs log tree commit diff
path: root/home/.local/bin/sup
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-18 16:15:56 -0400
committerJune McEnroe <june@causal.agency>2018-08-18 16:24:25 -0400
commitf02be9b5c09179b64dc51933635c71625a9ecb82 (patch)
treeaf4d3a862d78ecacc23bb80d6f83aaf5b8fe1915 /home/.local/bin/sup
parentUse whence instead of type (diff)
downloadsrc-f02be9b5c09179b64dc51933635c71625a9ecb82.tar.gz
src-f02be9b5c09179b64dc51933635c71625a9ecb82.zip
Run {,s,t}up with /bin/sh
Diffstat (limited to 'home/.local/bin/sup')
-rwxr-xr-xhome/.local/bin/sup6
1 files changed, 3 insertions, 3 deletions
diff --git a/home/.local/bin/sup b/home/.local/bin/sup
index 22f2b85e..33b268c8 100755
--- a/home/.local/bin/sup
+++ b/home/.local/bin/sup
@@ -1,8 +1,8 @@
-#!/usr/bin/env zsh
-set -o errexit -o nounset -o pipefail
+#!/bin/sh
+set -e -u
 
 dir=$(mktemp -d)
 screencapture -i "$dir/capture.png"
-pngo "$dir/capture.png"
+type pngo > /dev/null && pngo "$dir/capture.png"
 up "$dir/capture.png"
 rm -r "$dir"